Bug 12506 - New port: omega-0.90.4
Summary: New port: omega-0.90.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1999-07-04 14:20 UTC by Andrey Zakhvatov
Modified: 1999-07-05 04:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Zakhvatov 1999-07-04 14:20:00 UTC
   This is a port of omega-0.90.4, a complex rogue-style game of dungeon
exploration.

omega is a complex rogue-style game of dungeon exploration.  Unlike
other such games, there are a number of ways to "win", depending on
various actions taken during play. The ways you can get your name on
the hiscore board include becoming the highest ranked head of a guild,
sect, college, etc., as well as gaining the most points figured from
possessions and experience. The game (via the oracle) may impose some
structure on your exploration, but you need not follow all of the
oracle's advice. There *is* a "total winner" status, by the way.

omega offers a richness of playing detail that goes beyond a simple
game like rogue. However, the majority of gameplay is very similar to
rogue, hack, ultrarogue, larn, and other such games. The player is
represented by the highlighted "@" symbol, objects and terrain
features are represented by non-alphabetic symbols, monsters are
represented by the various upper and lower case letters, and other
humans are represented by a non-highlighted "@". It is recommended
that the novice read the man pages for rogue or some other such game
and perhaps play a few games before playing omega. 

WWW: http://dolphin.openprojects.net/Omega/


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	omega-0.90.4
#	omega-0.90.4/Makefile
#	omega-0.90.4/files
#	omega-0.90.4/files/md5
#	omega-0.90.4/patches
#	omega-0.90.4/patches/patch-aa
#	omega-0.90.4/patches/patch-ab
#	omega-0.90.4/patches/patch-ac
#	omega-0.90.4/patches/patch-ad
#	omega-0.90.4/patches/patch-ae
#	omega-0.90.4/patches/patch-af
#	omega-0.90.4/patches/patch-ag
#	omega-0.90.4/pkg
#	omega-0.90.4/pkg/PLIST
#	omega-0.90.4/pkg/COMMENT
#	omega-0.90.4/pkg/DESCR
#
echo c - omega-0.90.4
mkdir -p omega-0.90.4 > /dev/null 2>&1
echo x - omega-0.90.4/Makefile
sed 's/^X//' >omega-0.90.4/Makefile << 'END-of-omega-0.90.4/Makefile'
X# New ports collection makefile for:	omega
X# Version required:			0.90.4
X# Date created:				14 May 1998
X# Whom:					Andrey Zakhvatov
X#
X# $Id$
X#
X
XDISTNAME=		omega-0.90-pa4
XPKGNAME=		omega-0.90.4
XCATEGORIES=		games
XMASTER_SITES=		http://dolphin.openprojects.net/Omega/Downloads/Prealphas/
X
XMAINTAINER=		andy@icc.surw.chel.su
X
XALL_TARGET=
XWRKSRC=			${WRKDIR}/omega
XMAN6=			omega.6
X
Xdo-install:
X	@ ${INSTALL_PROGRAM} ${WRKSRC}/omega ${PREFIX}/bin
X	@ ${INSTALL_MAN} ${WRKSRC}/docs/omega.6 ${PREFIX}/man/man6
X	@ chown games:games ${PREFIX}/bin/omega
X	@ chmod 4711 ${PREFIX}/bin/omega
X	@ ${MKDIR} ${PREFIX}/share/omega
X	@ ${INSTALL_DATA} ${WRKSRC}/lib/* ${PREFIX}/share/omega
X	@ ${RM} ${PREFIX}/share/omega/license.old
X	@ chmod 0600 ${PREFIX}/share/omega/omega.hi
X	@ chmod 0600 ${PREFIX}/share/omega/omega.log
X	@ ${CP} ${PREFIX}/share/omega/omega.hi ${PREFIX}/share/omega/omegahi.bak
X	@ chown -R games:games ${PREFIX}/share/omega
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@ ${MKDIR} ${PREFIX}/share/doc/omega
X.for file in buglist.txt docs/compile.all docs/readme.1st docs/omega.txt docs/readme3 docs/readme4
X	@ ${INSTALL_DATA} ${WRKSRC}/${file} ${PREFIX}/share/doc/omega
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-omega-0.90.4/Makefile
echo c - omega-0.90.4/files
mkdir -p omega-0.90.4/files > /dev/null 2>&1
echo x - omega-0.90.4/files/md5
sed 's/^X//' >omega-0.90.4/files/md5 << 'END-of-omega-0.90.4/files/md5'
XMD5 (omega-0.90-pa4.tar.gz) = 4936ed6f4afced6c35a0097fff9430ac
END-of-omega-0.90.4/files/md5
echo c - omega-0.90.4/patches
mkdir -p omega-0.90.4/patches > /dev/null 2>&1
echo x - omega-0.90.4/patches/patch-aa
sed 's/^X//' >omega-0.90.4/patches/patch-aa << 'END-of-omega-0.90.4/patches/patch-aa'
X--- Makefile	Sat Jan  2 07:00:06 1999
X+++ /home/andy/tmp/wrk/Makefile	Fri May 14 20:43:03 1999
X@@ -1,14 +1,29 @@
X+#
X+# C compiler
X+#
X+CC= cc
X+
X+#
X+# Local packages directory
X+#
X+LOCALBASE = /usr/local
X+
X+#
X+# Installation directory
X+#
X+PREFIX = ${LOCALBASE}
X+
X # These two definitions are used if you 'make install'
X # the value of LIBDIR should be the same as OMEGALIB in defs.h
X-BINDIR = /home/sdossey/omega/
X-LIBDIR = /home/sdossey/omega/lib/
X+BINDIR = ${PREFIX}/bin
X+LIBDIR = ${PREFIX}/share/omega
X 
X # One of these should be uncommented, as appropriate, unless your compiler
X # does it for you.  You can test this by simply trying to 'make' omega -
X # it will fail if none of them are defined.  If you do uncomment
X # one, make sure you comment out the other definition of CFLAGS lower down
X 
X-CFLAGS = -DBSD -ggdb
X+CFLAGS+= -DBSD -DOMEGALIB=\"${LIBDIR}/\"
X #CFLAGS = -DSYSV -O
X # I also had to define -cckr (K&R style C) for system V
X #CFLAGS = -DMSDOS -O
X@@ -17,14 +32,14 @@
X # CPP should contain the command to run the C preprocessor.
X #CPP = cc -E
X #CPP = /lib/cpp
X-CPP = gcc -E
X+CPP = ${CC} -E
X 
X # If you have gcc and don't intend to hack around with the game,
X # I recommend setting CC to gcc and using -O (as the CFLAGS).
X 
X #CFLAGS = -O
X #LDFLAGS = -s
X-CC = gcc
X+#CC = gcc
X 
X # comment out one of the following two, after establishing whether your
X # machine uses termcap (most BSD machines) or terminfo (System-V)
X@@ -48,7 +63,10 @@
X omega: $(OBJ)
X 	$(CC) $(LDFLAGS) $(OBJ) $(LIBS) -o omega
X 
X-install: omega $(BINDIR) $(LIBDIR)
X+install: omega
X+	mkdir -p $(BINDIR)
X+	mkdir -p $(LIBDIR)
X+	chown games:games omega
X 	cp omega $(BINDIR)
X 	chmod 4711 $(BINDIR)/omega
X 	- cp lib/* $(LIBDIR)
END-of-omega-0.90.4/patches/patch-aa
echo x - omega-0.90.4/patches/patch-ab
sed 's/^X//' >omega-0.90.4/patches/patch-ab << 'END-of-omega-0.90.4/patches/patch-ab'
X--- defs.h	Fri Jan  1 03:08:19 1999
X+++ /home/andy/tmp/wrk/defs.h	Fri May 14 20:51:11 1999
X@@ -45,7 +45,9 @@
X    This might usually be "/usr/games/lib/omegalib/", for unix,
X    or something like "c:\\games\\omega\\omegalib\\" for msdos */
X 
X+#ifndef OMEGALIB
X #define OMEGALIB "./lib/"
X+#endif
X 
X /* Comment the following line out if you want users to be able to override */
X /* the OMEGALIB define, above, by setting the environment variable OMEGALIB */
X@@ -570,7 +572,11 @@
X /* WDT: thank goodness for that lack of implementation. */
X 
X #else
X+#ifdef __FreeBSD__
X+#include <ncurses.h>
X+#else
X #include <curses.h>
X+#endif
X 
X #define COL_FG_BLINK A_BLINK
X 
END-of-omega-0.90.4/patches/patch-ab
echo x - omega-0.90.4/patches/patch-ac
sed 's/^X//' >omega-0.90.4/patches/patch-ac << 'END-of-omega-0.90.4/patches/patch-ac'
X--- file.c	Fri Jan  1 03:08:26 1999
X+++ /home/andy/tmp/wrk/file.c	Fri May 14 20:28:46 1999
X@@ -9,7 +9,11 @@
X # ifdef AMIGA
X #  include <curses210.h>
X # else
X-#  include <curses.h>
X+#  ifdef __FreeBSD__
X+#   include <ncurses.h>
X+#  else
X+#   include <curses.h>
X+#  endif
X # endif
X # include <sys/types.h>
X # include <unistd.h>
END-of-omega-0.90.4/patches/patch-ac
echo x - omega-0.90.4/patches/patch-ad
sed 's/^X//' >omega-0.90.4/patches/patch-ad << 'END-of-omega-0.90.4/patches/patch-ad'
X--- fixstr.c	Sat Aug  8 13:48:23 1998
X+++ /home/andy/tmp/wrk/fixstr.c	Fri May 14 20:37:59 1999
X@@ -15,7 +15,9 @@
X Thus it can be broken. */
X 
X #include <stdio.h>
X+#ifndef __FreeBSD__
X #include <malloc.h>
X+#endif
X 
X #define TMPFILE "fixtmp.c"
X 
END-of-omega-0.90.4/patches/patch-ad
echo x - omega-0.90.4/patches/patch-ae
sed 's/^X//' >omega-0.90.4/patches/patch-ae << 'END-of-omega-0.90.4/patches/patch-ae'
X--- genclr.c	Sat Aug  8 16:53:59 1998
X+++ /home/andy/tmp/wrk/genclr.c	Fri May 14 20:28:35 1999
X@@ -281,7 +281,11 @@
X      */
X     fp = emitopen (cfile, argv);
X     fprintf (fp, "\
X+#ifdef __FreeBSD__\n\
X+#include <ncurses.h>\n\
X+#else\n\
X #include <curses.h>\n\
X+#endif\n\
X #include <stdio.h>\n\
X #include <stdlib.h>\n\
X 
END-of-omega-0.90.4/patches/patch-ae
echo x - omega-0.90.4/patches/patch-af
sed 's/^X//' >omega-0.90.4/patches/patch-af << 'END-of-omega-0.90.4/patches/patch-af'
X--- inv.c	Fri Jan  1 03:08:33 1999
X+++ /home/andy/tmp/wrk/inv.c	Fri May 14 20:28:52 1999
X@@ -8,7 +8,11 @@
X # ifdef AMIGA
X #  include <curses210.h>
X # else
X-#  include <curses.h>
X+#  ifdef __FreeBSD__
X+#   include <ncurses.h>
X+#  else
X+#   include <curses.h>
X+#  endif
X # endif
X #endif
X 
END-of-omega-0.90.4/patches/patch-af
echo x - omega-0.90.4/patches/patch-ag
sed 's/^X//' >omega-0.90.4/patches/patch-ag << 'END-of-omega-0.90.4/patches/patch-ag'
X--- scr.c	Sat Jan  2 07:00:11 1999
X+++ /home/andy/tmp/wrk/scr.c	Fri May 14 20:28:59 1999
X@@ -10,7 +10,11 @@
X # ifdef AMIGA
X #  include <curses210.h>
X # else
X-#  include <curses.h>
X+#  ifdef __FreeBSD__
X+#   include <ncurses.h>
X+#  else
X+#   include <curses.h>
X+#  endif
X # endif
X # include <sys/types.h>
X #endif
END-of-omega-0.90.4/patches/patch-ag
echo c - omega-0.90.4/pkg
mkdir -p omega-0.90.4/pkg > /dev/null 2>&1
echo x - omega-0.90.4/pkg/PLIST
sed 's/^X//' >omega-0.90.4/pkg/PLIST << 'END-of-omega-0.90.4/pkg/PLIST'
X@owner games
X@group games
X@mode 4711
Xbin/omega
X@mode 666
Xshare/omega/omega.hi
Xshare/omega/omega.log
X@mode 600
Xshare/omega/omegahi.bak
X@mode
Xshare/doc/omega/buglist.txt
Xshare/doc/omega/compile.all
Xshare/doc/omega/omega.txt
Xshare/doc/omega/readme.1st
Xshare/doc/omega/readme3
Xshare/doc/omega/readme4
Xshare/omega/abyss.dat
Xshare/omega/abyss.txt
Xshare/omega/arena.dat
Xshare/omega/circle.dat
Xshare/omega/city.dat
Xshare/omega/country.dat
Xshare/omega/court.dat
Xshare/omega/dlair.dat
Xshare/omega/help1.txt
Xshare/omega/help10.txt
Xshare/omega/help11.txt
Xshare/omega/help12.txt
Xshare/omega/help13.txt
Xshare/omega/help2.txt
Xshare/omega/help3.txt
Xshare/omega/help4.txt
Xshare/omega/help5.txt
Xshare/omega/help6.txt
Xshare/omega/help7.txt
Xshare/omega/help8.txt
Xshare/omega/help9.txt
Xshare/omega/home1.dat
Xshare/omega/home2.dat
Xshare/omega/home3.dat
Xshare/omega/intro.txt
Xshare/omega/lgpl.txt
Xshare/omega/license.txt
Xshare/omega/maze1.dat
Xshare/omega/maze2.dat
Xshare/omega/maze3.dat
Xshare/omega/maze4.dat
Xshare/omega/misle.dat
Xshare/omega/motd.txt
Xshare/omega/scroll1.txt
Xshare/omega/scroll2.txt
Xshare/omega/scroll3.txt
Xshare/omega/scroll4.txt
Xshare/omega/speak.dat
Xshare/omega/temple.dat
Xshare/omega/thanks.txt
Xshare/omega/update.txt
Xshare/omega/village1.dat
Xshare/omega/village2.dat
Xshare/omega/village3.dat
Xshare/omega/village4.dat
Xshare/omega/village5.dat
Xshare/omega/village6.dat
X@dirrm share/doc/omega
X@dirrm share/omega
END-of-omega-0.90.4/pkg/PLIST
echo x - omega-0.90.4/pkg/COMMENT
sed 's/^X//' >omega-0.90.4/pkg/COMMENT << 'END-of-omega-0.90.4/pkg/COMMENT'
Xcomplex rogue-style game of dungeon exploration
END-of-omega-0.90.4/pkg/COMMENT
echo x - omega-0.90.4/pkg/DESCR
sed 's/^X//' >omega-0.90.4/pkg/DESCR << 'END-of-omega-0.90.4/pkg/DESCR'
Xomega is a complex rogue-style game of dungeon exploration.  Unlike
Xother such games, there are a number of ways to "win", depending on
Xvarious actions taken during play. The ways you can get your name on
Xthe hiscore board include becoming the highest ranked head of a guild,
Xsect, college, etc., as well as gaining the most points figured from
Xpossessions and experience. The game (via the oracle) may impose some
Xstructure on your exploration, but you need not follow all of the
Xoracle's advice. There *is* a "total winner" status, by the way.
X
Xomega offers a richness of playing detail that goes beyond a simple
Xgame like rogue. However, the majority of gameplay is very similar to
Xrogue, hack, ultrarogue, larn, and other such games. The player is
Xrepresented by the highlighted "@" symbol, objects and terrain
Xfeatures are represented by non-alphabetic symbols, monsters are
Xrepresented by the various upper and lower case letters, and other
Xhumans are represented by a non-highlighted "@". It is recommended
Xthat the novice read the man pages for rogue or some other such game
Xand perhaps play a few games before playing omega. 
X
XWWW: http://dolphin.openprojects.net/Omega/
END-of-omega-0.90.4/pkg/DESCR
exit

Fix: 

Please, check and commmit this port.
Comment 1 cpiazza freebsd_committer 1999-07-05 04:06:25 UTC
State Changed
From-To: open->closed

New port committed, thanks!